#!/usr/bin/env python
import coral ; *
from coral.exceptions import *
m = Model()
c = Class()
c.namespace = m
o = Operation()
o.owner = c
c.isAbstract=1
m.isWellFormedRecursive()
c.isAbstract=0
ok=0
try:
  m.isWellFormedRecursive()
except WFRException,e:
  ok=1
assert(ok)
